## com.thingmagic
Enum Gen2.Untraceable.Range

    java.lang.Object
      java.lang.Enum<Gen2.Untraceable.Range>
          com.thingmagic.Gen2.Untraceable.Range

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gen2.Untraceable.Range>

Enclosing class:
  Gen2.Untraceable

    public static enum Gen2.Untraceable.Range

extends java.lang.Enum<Gen2.Untraceable.Range>

specifies Gen2v2 Tag’s operating range

Enum Constant Summary
`NORMAL` Tag persistently enables normal operating range
`REDUCED` Tag persistently enables reduced operating range.
`RFU` RFU
`TOGGLE_TEMPORARILY` Tag temporarily toggles its operating range

Method Summary
`static Gen2.Untraceable.Range` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gen2.Untraceable.Range[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORMAL

    public static final Gen2.Untraceable.Range NORMAL

  Tag persistently enables normal operating range

### TOGGLE_TEMPORARILY

    public static final Gen2.Untraceable.Range TOGGLE_TEMPORARILY

  Tag temporarily toggles its operating range

### REDUCED

    public static final Gen2.Untraceable.Range REDUCED

  Tag persistently enables reduced operating range.

### RFU

    public static final Gen2.Untraceable.Range RFU

  RFU

Method Detail

### values

    public static Gen2.Untraceable.Range[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gen2.Untraceable.Range c : Gen2.Untraceable.Range.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gen2.Untraceable.Range valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null